Vähemmän päänsärkyä uusilla PHP-versioilla

Zone Blogi
Jaa:

Marraskuun jälkipuoliskolla on tulossa PHP:n uusin versio 8.2. Monet asiasta kiinnostuneet Zonen käyttäjät ovat päässeet tutustumaan tähän testiversioon jo jonkin aikaa. 8.2 Release Candidate -versio saapuu kaikille jaetun hosting-palvelun palvelimille lokakuun loppuun mennessä. Uuden PHP-version käyttöönoton myötä myös version 7.4 tietoturvakorjausten tuki ja version 8.0 aktiivinen tuki päättyvät. Tämä kaikki tarkoittaa, että on suositeltavaa siirtää omat verkkosovellukset mahdollisimman pian uuteen PHP-versioon.

Vaikka monet käyttäjät ovat löytäneet postilaatikostaan viestimme, joka ilmoittaa, että he käyttävät edelleen vanhaa versiota, emme käsittele tässä jutussa vanhentuneiden versioiden vaarallisuutta tai kielteisiä vaikutuksia verkkosovelluksiin. Sen sijaan haluamme esitellä omia prosessejamme eli kertoa siitä, mitä olemme tehneet, jotta uuden PHP-version käyttöönotto olisi mahdollisimman helppo.

PHP-version asetusten tekemisen täydennykset

Jos käytät edelleen jotakin vanhentuneista PHP-versioista, näytämme nämä tiedot Zone.fi hallintaliittymämme etusivulla. Tämä on kätevää tilanteessa, jossa käyttäjällä on useita virtuaalipalvelimia, ja vanhentunut PHP-versio on käytössä esimerkiksi jossakin aliverkkotunnuksessa, mikä tarkoittaa sitä, että vanhentuneen version etsiminen vaatii aikaa vievää eri palvelimien tarkastelua.

Lisäksi loimme käyttäjille mahdollisuuden vaihtaa PHP-versio sellaiseen vanhentuneeseen versioon, joka on silti edellistä uudempi. Tämä antaa käyttäjälle mahdollisuuden käydä versiopäivitykset läpi tarvittaessa vaiheittain, ja jos siirtyminen uusimpaan versioon vaatii vielä käyttäjän puolelta kehittämistä, hän voi käyttää toistaiseksi ainakin uudempaa versiota.

Kannattaa kiinnittää huomiota siihen, että PHP-version päivitys saapuu palvelimelle noin 10 minuutissa. Yleensä se kuitenkin tapahtuu nopeammin. Jos kuitenkin käy ilmi, että verkkosovelluksesi eivät toimi uudemman version kanssa, on mahdollista palata vanhentuneeseen versioon 24 tunnin sisällä.

Muutokset komentorivin PHP-version logiikassa

Kun PHP-version asetuksia voitiin tehdä hallintaliittymästä käsin, komentoriviversio ei riippunut siitä. Komentoriviversiossa ei ollut myöskään aktivoitu verkkosivuja varten asetettuja moduuleja. Tämä johtui lähinnä siitä, että verkkosivuilla saattoi olla useita versioita, mutta komentorivillä vain yksi. Teknisesti voidaan toki asettaa HTTP- ja HTTPS-palvelimelle sekä kullekin (ali)verkkotunnukselle eri PHP-versio.

Tästä lähtien PHP:n komentoriviversio on uusilla käyttäjillä sama kuin pääverkkotunnuksella. Tilanteessa, jossa käytössä ovat sekä HTTP- että HTTPS-palvelimet ja niiden versiot ovat erilaisia, otetaan käyttöön HTTPS-versio. Komentoriviversioon on ladattu myös kaikki moduulit, jotka on asetettu etukäteen käyttöliittymän kautta.

SSH-komentorivillä käynnistettävän version lisäksi tämä vaikuttaa cron job -tehtäviin, jotka käynnistetään bash-komentosarjana, mutta jotka käynnistävät sisäisesti PHP:n.

Uusi toiminto on tehty siten, että tähänastinen komentorivin PHP-version ylikirjoitus symlinkillä kotihakemistossa jää toimimaan.

Haluan kuitenkin korostaa, että kyseinen toiminto on kytketty oletusarvoisesti päälle vain uusilla asiakkailla. Nykyisiä asiakkaita alamme siirtää uuteen järjestelmään ryhmittäin. Jos haluat aktivoida tämän toiminnon nykyiselle virtuaalipalvelimellesi, voit tehdä sen Zone.fi hallintaliittymässä virtuaalipalvelimen asetusten kohdasta.

Testaus PHP-versioilla

Suurin este jokaisen uuden version käyttöönotolle on ollut kysymys ”Toimiiko sivustoni uuden version kanssa?”. Tähän asti olemme voineet vastata siihen kahdella suosituksella. Ensimmäinen niistä on ollut suositus kopioida uusi sivusto vanhan rinnalle ja testata kaikki ensin siellä. Tämä edellyttää kuitenkin aika paljon teknistä osaamista. Toinen suositus on ollut muuttaa pelkästään versio ja toivoa sitten, että kaikki toimii. Tietenkin ymmärrämme, että jälkimmäinen ei ole aivan kestävin ratkaisu.

Siksi kehitimmekin ratkaisun, jolla voit testata verkkosivujesi toimivuutta eri PHP-versioilla. Hallintaliittymässä on näet linkki, jonka kautta voi testata PHP-version toimivuutta siten, että se muuttuu vain siinä selaimessa, jolla käyttäjä sitä testaa, ja kaikilla muilla käyttäjillä sivusto toimii edelleen vanhalla versiolla.

Testaamalla PHP-versiota kyseisestä linkistä voit käydä läpi kaikki verkkosivuston osat uudella versiolla vaikuttamatta muihin käyttäjiin. Varmistuttuasi siitä, että sivusto todella toimii testatun version kanssa, voit siirtyä hallintaliittymään ja tehdä versiomuutoksesta pysyvän kaikille.

Testauslinkin löydät sivulta, jolle hallintaliittymä ohjaa sinut vanhentuneen PHP-varoituksen kautta, tai virtuaalipalvelimen hallintasivulta pää- ja/tai aliverkkotunnuksen yleiskatsauksesta.

Lye myös:

PHP 8.2 on nyt julkistettu virallisesti

Suositut postaukset

WooCommerce 9.0 pian tulossa

Ingmar Aasoja
Kun puhumme verkkosivustoista, ajattelemme usein WordPressiä. Kun lisäämme keskusteluun verkkokaupan, puhumme yleensä WooCommercesta. WooCommerce on...

Zonen asiakastuki – näin tiimimme vastaa haasteisiin ja ylläpitää laatua?

Zone Blogi
Zonen asiakastukitiimissä toimii nykyään 13 henkilöä, jotka tukevat asiakkaitamme viroksi, englanniksi, venäjäksi ja suomeksi. Asiakastuki ylläpitää...

WordPress 6.6 ei enää tue PHP:n versioita 7.0 ja 7.1

Zone Blogi
Hiljattain julkaistiin WordPress-versio 6.5, ja on jo aika alkaa miettiä ja valmistautua seuraavaan versioon 6.6. Viimeisimpien tietojen mukaan tästä...

WordPress 6.5 ”Regina” on täynnä inspiraatiota

Zone Blogi
Huhtikuun alussa julkaistiin WordPressin uusin versio 6.5 nimeltä Regina, joka sisältää useita merkittäviä päivityksiä, erityisesti Gutenberg-sivunrakentajan...